#pragma once

#include <string>

#include "MidiEvent.h"

class MetaMidiEvent : public MidiEvent
{
public:
	enum class Type
	{
		UNSET,
		TRACK_NAME
	};

	Type mType = Type::UNSET;
	std::string mLabel;
	MetaMidiEvent();

	static bool IsTrackName(char c)
	{
		return (c & META_TRACK_NAME) == META_TRACK_NAME;
	}

	static const int META_TRACK_NAME = 0x3; // 0000 0011
};
