#include "XmlDocument.h"


XmlDocument::XmlDocument()
	:mProlog(XmlProlog::Create("xml"))
{

}

std::shared_ptr<XmlDocument> XmlDocument::Create()
{
	return std::make_shared<XmlDocument>();
}

void XmlDocument::SetProlog(XmlPrologPtr prolog)
{
	mProlog = prolog;
}

XmlPrologPtr XmlDocument::GetProlog() const
{
	return mProlog;
}

void XmlDocument::SetRoot(XmlElementPtr root)
{
	mRoot = root;
}

XmlElementPtr XmlDocument::GetRoot() const
{
	return mRoot;
}

