#pragma once
#include <memory>
#include <string>
#include "XmlElement.h"
#include "XmlProlog.h"

class XmlDocument
{
	XmlPrologPtr mProlog;
	XmlElementPtr mRoot;

public:
	XmlDocument();

	static std::shared_ptr<XmlDocument> Create();

	void SetProlog(XmlPrologPtr prolog);
	XmlPrologPtr GetProlog() const;

	void SetRoot(XmlElementPtr root);
	XmlElementPtr GetRoot() const;


};

using XmlDocumentPtr = std::shared_ptr<XmlDocument>;
